<template>
  <div class="box box-warning">
    <div class="box-header with-border">
      <h3 class="box-title">Categories stats</h3>
    </div>
    <div class="box-body">
      <div class="card-body">
        <div class="report-stats">
        <table class="table table-bordered table-striped">
          <thead>
            <tr>
              <th>Category</th>
              <th>Total current month expenses, &euro;</th>
              <th>Current month compared to previous, &euro;</th>
              <th>Current month compared to previous , %</th>
                <th>Annual monthly average, &euro;</th>
               <th>Current month compared to annual monthly average, &euro;</th>
              <th>Current month compared to annual monthly average, %</th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="category in categoriesStats" :key="category.label">
              <td>{{ category.name  }}</td>
              <td>{{ category.amount }} &euro;</td>
              <td><span v-if="category.diffPastMonth > 0">+</span>{{ category.diffPastMonth }} &euro;</td>
              <td  :class="'bg-status' + category.savingsStatusPastMonth"><span v-if="category.diffInPercPastMonth> 0">+</span>{{ category.diffInPercPastMonth }}%</td>
              <td>{{ category.yearAvg }} &euro;</td>
              <td><span v-if="category.diffYearAvg > 0">+</span>{{ category.diffYearAvg }} &euro;</td>
              <td  :class="'bg-status' + category.savingsStatusYearAvg"><span v-if="category.diffInPercYearAvg> 0">+</span>{{ category.diffInPercYearAvg }}%</td>
            </tr>
          </tbody>
        </table>
      </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: ["categoriesStats"],

  data: function() {
    return {};
  }
};
</script>